Results 1 to 5 of 5
  1. #1
    Join Date
    May 2006
    Posts
    2

    Question Unanswered: DB2 7.2 Server and 8.2 client

    Hi,

    I'm trying insert BLOB datatype from 8.2 Client to 7.2 Server thru DB2 CLI driver from JAVA program. It's throwing SQLException.

    COM.ibm.db2.jdbc.DB2Exception: [IBM][CLI Driver][DB2/NT] SQL0352N An unsupported SQLTYPE was encountered in position "1" of the input list (SQLDA). SQLSTATE=56084

    Then i wrote a stored procedure and tried to excute insert and select. Its also failed.

    Is there any work around solution to resolve this problem. I couldn't migrate the database server now.

    Thanks for your help.

    Regards
    Arul Thayalan.,

  2. #2
    Join Date
    May 2003
    Location
    USA
    Posts
    5,737
    It may help if you upgrade your 7.2 server to the latest V7 fixpack, or at least a V7 fixpack that was released after the first version of 8.1 was released.
    M. A. Feldman
    IBM Certified DBA on DB2 for Linux, UNIX, and Windows
    IBM Certified DBA on DB2 for z/OS and OS/390

  3. #3
    Join Date
    May 2006
    Posts
    2

    Question

    Hi,

    Thank you for reply.

    I have installed DB2 7 fixpack 14. Still i'm getting the same exception.

    After the installation my Server >>> DB2level cmd shows below result

    DB21085I Instance "DB2" uses DB2 code release "SQL07029" with level identifier
    "030A0105" and informational tokens "DB2 v7.1.0.111", "n050516" and "WR21354".

    Database server version is:

    Database server = DB2/NT 7.2.9


    anything else am i missing here?

    In IBM site they have clearly mentioned about in their site.

    http://www-1.ibm.com/support/docview...id=swg21175100

  4. #4
    Join Date
    May 2003
    Location
    USA
    Posts
    5,737
    The link you posted says that it is known restriction when accessing a 7.2 server with a 8.1 client. The only resolution is to upgrade your server to 8.1. IBM dropped support of 7.2 in September 2004.

    The only thing I can think of is trying the type 4 universal driver.
    M. A. Feldman
    IBM Certified DBA on DB2 for Linux, UNIX, and Windows
    IBM Certified DBA on DB2 for z/OS and OS/390

  5. #5
    Join Date
    Nov 2004
    Posts
    1,427
    Provided Answers: 4
    As a rule of thumb: You can access a higher DB2 server version with a lower DB2 client version (backward compatibility), you should never use a higher version of a client to a lower version of the server.
    With kind regards . . . . . SQL Server 2000/2005/2012
    Wim

    Grabel's Law: 2 is not equal to 3 -- not even for very large values of 2.
    Pat Phelan's Law: 2 very definitely CAN equal 3 -- in at least two programming languages

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •